Runtime

## org.eclipse.gmf.runtime.diagram.ui.parts
Class DiagramActionBarContributor

    java.lang.Object
      org.eclipse.ui.part.EditorActionBarContributor
          org.eclipse.gef.ui.actions.ActionBarContributor
              org.eclipse.gmf.runtime.diagram.ui.parts.DiagramActionBarContributor

All Implemented Interfaces:
  IEditorActionBarContributor

public abstract class DiagramActionBarContributor
extends ActionBarContributor

Constructor Summary
`DiagramActionBarContributor()`

Method Summary
`protected void` `buildActions()`
`protected void` `declareGlobalActionKeys()`
`void` `dispose()`
`protected abstract java.lang.Class` `getEditorClass()` Returns the class of the editor configured with this contributor
`protected abstract java.lang.String` `getEditorId()` Returns the id of the editor configured with this contributor
`void` `init(IActionBars bars)`

Methods inherited from class org.eclipse.gef.ui.actions.ActionBarContributor
`addAction, addGlobalActionKey, addRetargetAction, getAction, getActionRegistry, setActiveEditor`

Methods inherited from class org.eclipse.ui.part.EditorActionBarContributor
`contributeToCoolBar, contributeToMenu, contributeToStatusLine, contributeToToolBar, getActionBars, getPage, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiagramActionBarContributor

    public DiagramActionBarContributor()

Method Detail

### init

    public void init(IActionBars bars)

  See Also:
    `EditorActionBarContributor.init(org.eclipse.ui.IActionBars)`

### dispose

    public void dispose()

  See Also:
    `IEditorActionBarContributor.dispose()`

### buildActions

    protected void buildActions()

  See Also:
    `ActionBarContributor.buildActions()`

### declareGlobalActionKeys

    protected void declareGlobalActionKeys()

  See Also:
    `ActionBarContributor.declareGlobalActionKeys()`

### getEditorId

    protected abstract java.lang.String getEditorId()

  Returns the id of the editor configured with this contributor

  Returns:
    The editor's id configured with this contribution

### getEditorClass

    protected abstract java.lang.Class getEditorClass()

  Returns the class of the editor configured with this contributor

  Returns:
    The editor's class configured with this contribution

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.